package cc.glsn.v15.ga;

public class OpFDiv implements Op
{
	public void doOp(State s)
	{
		float f1 = Float.intBitsToFloat(s.getR1());
		float f2 = Float.intBitsToFloat(s.getMemAtR2());

		if (f2 != 0.0f)
		{
			f1 = f1 / f2;

		}
		else
		{
			f1 = -1.0f;
		}

		s.setR1(Float.floatToRawIntBits(f1));

	}
}
